## org.eclipse.jst.jsf.facesconfig.emf
Interface DynamicAttribute

All Known Implementing Classes:
  DynamicAttributeImpl

    public interface DynamicAttribute

A representation of the model object 'Dynamic Attribute'.

The following features are supported:

- `Name`
- `Value`

See Also:
  `FacesConfigPackage.getDynamicAttribute()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`java.lang.String` `getValue()` Returns the value of the 'Value' attribute
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `FacesConfigPackage.getDynamicAttribute_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getValue

    java.lang.String getValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(String)`, `FacesConfigPackage.getDynamicAttribute_Value()`

### setValue

    void setValue(java.lang.String value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`